Summary: The OpenID extension for MediaWiki
Name: mediawiki-openid
Version: 0.8.2
Release: 7.0.1
License: GPLv2+
Group: Development/Tools
URL: http://www.mediawiki.org/wiki/Extension:OpenID
#Source0: http://wikitravel.org/software/MediaWiki-OpenID-%{version}.tar.gz
# svn export http://svn.wikimedia.org/svnroot/mediawiki/tags/extensions/OpenID/REL_0_8_2 MediaWiki-OpenID-%{version}
# tar -jpcf MediaWiki-OpenID-%{version}.tar.bz2 MediaWiki-OpenID-%{version}
Source0: MediaWiki-OpenID-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: mediawiki
Requires: php-pear-Auth-OpenID >= 2.0.1

%description
This extension lets users log in with an OpenID instead of a username
and password. An OpenID is a special URL that people can use to log in
to a Web site. The extension also lets users who have an account on
the wiki log in to other OpenID-aware Web sites with their wiki user
page as their OpenID.

%prep
%setup -q -n MediaWiki-OpenID-%{version}
cat >> README.1st <<EOF
You must create a table in your MediaWiki database to hold the OpenID
URL mappings. The openid_table.sql script in
%{_datadir}/mediawiki/extensions/OpenID/ should do the
trick. Typically you do this using the mysql command-line client, like
so:

        mysql -h yourdbhost -u youradminuser -p yourwikidb < openid_table.sql

In your MediaWiki LocalSettings.php, add the following line some place
towards the bottom of the file:

        require_once("$IP/extensions/OpenID/OpenID.php");

Theoretically it should work out of the box, but you'll almost
definitely want to set the trust root and access controls.
EOF

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/mediawiki/extensions/OpenID
cp -a *.php %{buildroot}%{_datadir}/mediawiki/extensions/OpenID/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* *.sql
%{_datadir}/mediawiki/extensions/OpenID

%changelog
* Sat Mar 29 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.8.2-6
- Update to 0.8.2.

* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.0-5
- Move *.sql to %%doc.
- move part of %%description to a README.1st file.
- add empty %%build.

* Thu Nov 29 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.0-4
- Update to 0.7.0 (Peter Lemenkov (lemenkov@gmail.com)).

* Thu Feb  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.6.1-1
- Initial build.

